Broadcast signed TRON secure payment transaction
curl --request POST \
--url https://api.request.network/v2/secure-payments/{token}/tron/broadcast \
--header 'Content-Type: application/json' \
--header 'Origin: <origin>' \
--header 'x-client-id: <x-client-id>' \
--data '
{
"signedTransaction": {
"raw_data_hex": "<string>",
"signature": [
"<string>"
],
"raw_data": {
"contract": [
"<unknown>"
],
"fee_limit": 1
},
"txID": "<string>"
}
}
'import requests
url = "https://api.request.network/v2/secure-payments/{token}/tron/broadcast"
payload = { "signedTransaction": {
"raw_data_hex": "<string>",
"signature": ["<string>"],
"raw_data": {
"contract": ["<unknown>"],
"fee_limit": 1
},
"txID": "<string>"
} }
headers = {
"x-client-id": "<x-client-id>",
"Origin": "<origin>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
Origin: '<origin>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
signedTransaction: {
raw_data_hex: '<string>',
signature: ['<string>'],
raw_data: {contract: ['<unknown>'], fee_limit: 1},
txID: '<string>'
}
})
};
fetch('https://api.request.network/v2/secure-payments/{token}/tron/broadcast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true,
"txid": "<string>",
"code": "<string>",
"message": "<string>"
}V2/Secure Payment
Broadcast signed TRON secure payment transaction
Relays a locally signed TRON transaction for this secure payment through the configured CatFee Seamless Energy node. The backend rebuilds the expected secure-payment TRON transaction and only forwards the signed transaction if the payload matches.
POST
/
v2
/
secure-payments
/
{token}
/
tron
/
broadcast
Broadcast signed TRON secure payment transaction
Headers
Client ID for frontend authentication
Origin header (automatically set by browser)
Path Parameters
Body
application/json
Signed TronWeb transaction object compatible with /wallet/broadcasttransaction
Show child attributes
Show child attributes
Was this page helpful?
⌘I